18 lines
684 B
Diff
18 lines
684 B
Diff
--- projectlibre.sh.orig
|
|
+++ projectlibre.sh
|
|
@@ -1,4 +1,4 @@
|
|
-#!/bin/bash
|
|
+#!/bin/sh
|
|
|
|
#*******************************************************************************
|
|
# The contents of this file are subject to the Common Public Attribution License
|
|
@@ -199,7 +199,7 @@
|
|
PROJECTLIBRE_HOME="$PROJECTLIBRE_HOME0"
|
|
#PROJECTLIBRE_HOME can be harmful with multiple versions. disable
|
|
JAVA_OK="1"
|
|
- run_projectlibre --silentlyFail true "$@" || if [[ $? -eq 126 || $? -eq 127 || $? -eq 64 ]]; then
|
|
+ run_projectlibre --silentlyFail true "$@" || if [ $? -eq 126 -o $? -eq 127 -o $? -eq 64 ]; then
|
|
#126 command invoked cannot execute
|
|
#127 command not found
|
|
#64 bad java version/impl
|